Skip to main content
`Ctrl`+`K`

# DMStagSetOwnershipRanges

set elements per rank in each direction

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagSetOwnershipRanges(DM dm, const PetscInt lx[], const PetscInt ly[], const PetscInt lz[])

Logically Collective; `lx`, `ly`, and `lz` must contain common values

## Input Parameters

- dm - the `DMSTAG` object

- lx - element counts for each rank in the x direction, may be `NULL`

- ly - element counts for each rank in the y direction, may be `NULL`

- lz - element counts for each rank in the z direction, may be `NULL`

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to `NULL` in this case.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagSetGlobalSizes()`, `DMStagGetOwnershipRanges()`, `DMDASetOwnershipRanges()`

## Level

developer

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages